{
 	File:		CMScriptingPlugin.p
 
 	Contains:	ColorSync Scripting Plugin API
 
 	Version:	Technology:	ColorSync 2.5
 				Release:	ColorSync 2.6 SDK for use with Universal Interfaces 3.1
 
 	Copyright:	 1998 by Apple Computer, Inc., all rights reserved.
 
 	Bugs?:		For bug reports, consult the following page on
 				the World Wide Web:
 
 					http://developer.apple.com/bugreporter/
 
}
{$IFC UNDEFINED UsingIncludes}
{$SETC UsingIncludes := 0}
{$ENDC}

{$IFC NOT UsingIncludes}
 UNIT CMScriptingPlugin;
 INTERFACE
{$ENDC}

{$IFC UNDEFINED __CMSCRIPTINGPLUGIN__}
{$SETC __CMSCRIPTINGPLUGIN__ := 1}

{$I+}
{$SETC CMScriptingPluginIncludes := UsingIncludes}
{$SETC UsingIncludes := 1}

{$IFC UNDEFINED __FILES__}
{$I Files.p}
{$ENDC}
{$IFC UNDEFINED __CMAPPLICATION__}
{$I CMApplication.p}
{$ENDC}
{$IFC UNDEFINED __CODEFRAGMENTS__}
{$I CodeFragments.p}
{$ENDC}




{$PUSH}
{$ALIGN MAC68K}
{$LibExport+}


CONST
																{  ColorSync Scripting AppleEvent Errors  }
	cmspInvalidImageFile		= -4220;						{  Plugin cannot handle this image file type  }
	cmspInvalidImageSpace		= -4221;						{  Plugin cannot create an image file of this colorspace  }
	cmspInvalidProfileEmbed		= -4222;						{  Specific invalid profile errors  }
	cmspInvalidProfileSource	= -4223;
	cmspInvalidProfileDest		= -4224;
	cmspInvalidProfileProof		= -4225;
	cmspInvalidProfileLink		= -4226;


{*** embedFlags field  ***}
{ reserved for future use: currently 0 }

{*** matchFlags field  ***}
	cmspFavorEmbeddedMask		= $00000001;					{  if bit 0 is 0 then use srcProf profile, if 1 then use profile embedded in image if present }


{*** scripting plugin entry points  ***}

TYPE
{$IFC TYPED_FUNCTION_POINTERS}
	ValidateImageProcPtr = FUNCTION({CONST}VAR spec: FSSpec): CMError; C;
{$ELSEC}
	ValidateImageProcPtr = ProcPtr;
{$ENDC}

{$IFC TYPED_FUNCTION_POINTERS}
	GetImageSpaceProcPtr = FUNCTION({CONST}VAR spec: FSSpec; VAR space: OSType): CMError; C;
{$ELSEC}
	GetImageSpaceProcPtr = ProcPtr;
{$ENDC}

{$IFC TYPED_FUNCTION_POINTERS}
	ValidateSpaceProcPtr = FUNCTION({CONST}VAR spec: FSSpec; VAR space: OSType): CMError; C;
{$ELSEC}
	ValidateSpaceProcPtr = ProcPtr;
{$ENDC}

{$IFC TYPED_FUNCTION_POINTERS}
	EmbedImageProcPtr = FUNCTION({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; embedProf: CMProfileRef; embedFlags: UInt32): CMError; C;
{$ELSEC}
	EmbedImageProcPtr = ProcPtr;
{$ENDC}

{$IFC TYPED_FUNCTION_POINTERS}
	UnembedImageProcPtr = FUNCTION({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec): CMError; C;
{$ELSEC}
	UnembedImageProcPtr = ProcPtr;
{$ENDC}

{$IFC TYPED_FUNCTION_POINTERS}
	MatchImageProcPtr = FUNCTION({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; qual: UInt32; srcIntent: UInt32; srcProf: CMProfileRef; dstProf: CMProfileRef; prfProf: CMProfileRef; matchFlags: UInt32): CMError; C;
{$ELSEC}
	MatchImageProcPtr = ProcPtr;
{$ENDC}

{$IFC TYPED_FUNCTION_POINTERS}
	CountImageProfilesProcPtr = FUNCTION({CONST}VAR spec: FSSpec; VAR count: UInt32): CMError; C;
{$ELSEC}
	CountImageProfilesProcPtr = ProcPtr;
{$ENDC}

{$IFC TYPED_FUNCTION_POINTERS}
	GetIndImageProfileProcPtr = FUNCTION({CONST}VAR spec: FSSpec; index: UInt32; VAR prof: CMProfileRef): CMError; C;
{$ELSEC}
	GetIndImageProfileProcPtr = ProcPtr;
{$ENDC}

{$IFC TYPED_FUNCTION_POINTERS}
	SetIndImageProfileProcPtr = FUNCTION({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; index: UInt32; prof: CMProfileRef; embedFlags: UInt32): CMError; C;
{$ELSEC}
	SetIndImageProfileProcPtr = ProcPtr;
{$ENDC}

{*** CSScriptingLib entry points  ***}
{$IFC TYPED_FUNCTION_POINTERS}
	CMValidImageProcPtr = FUNCTION({CONST}VAR spec: FSSpec): CMError; C;
{$ELSEC}
	CMValidImageProcPtr = ProcPtr;
{$ENDC}

{$IFC TYPED_FUNCTION_POINTERS}
	CMGetImageSpaceProcPtr = FUNCTION({CONST}VAR spec: FSSpec; VAR space: OSType): CMError; C;
{$ELSEC}
	CMGetImageSpaceProcPtr = ProcPtr;
{$ENDC}

{$IFC TYPED_FUNCTION_POINTERS}
	CMEmbedImageProcPtr = FUNCTION({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; repl: BOOLEAN; embProf: CMProfileRef): CMError; C;
{$ELSEC}
	CMEmbedImageProcPtr = ProcPtr;
{$ENDC}

{$IFC TYPED_FUNCTION_POINTERS}
	CMUnembedImageProcPtr = FUNCTION({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; repl: BOOLEAN): CMError; C;
{$ELSEC}
	CMUnembedImageProcPtr = ProcPtr;
{$ENDC}

{$IFC TYPED_FUNCTION_POINTERS}
	CMMatchImageProcPtr = FUNCTION({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; repl: BOOLEAN; qual: UInt32; srcProf: CMProfileRef; srcIntent: UInt32; dstProf: CMProfileRef): CMError; C;
{$ELSEC}
	CMMatchImageProcPtr = ProcPtr;
{$ENDC}

{$IFC TYPED_FUNCTION_POINTERS}
	CMProofImageProcPtr = FUNCTION({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; repl: BOOLEAN; qual: UInt32; srcProf: CMProfileRef; srcIntent: UInt32; dstProf: CMProfileRef; prfProf: CMProfileRef): CMError; C;
{$ELSEC}
	CMProofImageProcPtr = ProcPtr;
{$ENDC}

{$IFC TYPED_FUNCTION_POINTERS}
	CMLinkImageProcPtr = FUNCTION({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; repl: BOOLEAN; qual: UInt32; lnkProf: CMProfileRef; lnkIntent: UInt32): CMError; C;
{$ELSEC}
	CMLinkImageProcPtr = ProcPtr;
{$ENDC}

{$IFC TYPED_FUNCTION_POINTERS}
	CMCountImageProfilesProcPtr = FUNCTION({CONST}VAR spec: FSSpec; VAR count: UInt32): CMError; C;
{$ELSEC}
	CMCountImageProfilesProcPtr = ProcPtr;
{$ENDC}

{$IFC TYPED_FUNCTION_POINTERS}
	CMGetIndImageProfileProcPtr = FUNCTION({CONST}VAR spec: FSSpec; index: UInt32; VAR prof: CMProfileRef): CMError; C;
{$ELSEC}
	CMGetIndImageProfileProcPtr = ProcPtr;
{$ENDC}

{$IFC TYPED_FUNCTION_POINTERS}
	CMSetIndImageProfileProcPtr = FUNCTION({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; repl: BOOLEAN; index: UInt32; prof: CMProfileRef): CMError; C;
{$ELSEC}
	CMSetIndImageProfileProcPtr = ProcPtr;
{$ENDC}

	ValidateImageUPP = UniversalProcPtr;
	GetImageSpaceUPP = UniversalProcPtr;
	ValidateSpaceUPP = UniversalProcPtr;
	EmbedImageUPP = UniversalProcPtr;
	UnembedImageUPP = UniversalProcPtr;
	MatchImageUPP = UniversalProcPtr;
	CountImageProfilesUPP = UniversalProcPtr;
	GetIndImageProfileUPP = UniversalProcPtr;
	SetIndImageProfileUPP = UniversalProcPtr;
	CMValidImageUPP = UniversalProcPtr;
	CMGetImageSpaceUPP = UniversalProcPtr;
	CMEmbedImageUPP = UniversalProcPtr;
	CMUnembedImageUPP = UniversalProcPtr;
	CMMatchImageUPP = UniversalProcPtr;
	CMProofImageUPP = UniversalProcPtr;
	CMLinkImageUPP = UniversalProcPtr;
	CMCountImageProfilesUPP = UniversalProcPtr;
	CMGetIndImageProfileUPP = UniversalProcPtr;
	CMSetIndImageProfileUPP = UniversalProcPtr;

CONST
	uppValidateImageProcInfo = $000000F1;
	uppGetImageSpaceProcInfo = $000003F1;
	uppValidateSpaceProcInfo = $000003F1;
	uppEmbedImageProcInfo = $00003FF1;
	uppUnembedImageProcInfo = $000003F1;
	uppMatchImageProcInfo = $003FFFF1;
	uppCountImageProfilesProcInfo = $000003F1;
	uppGetIndImageProfileProcInfo = $00000FF1;
	uppSetIndImageProfileProcInfo = $0000FFF1;
	uppCMValidImageProcInfo = $000000F1;
	uppCMGetImageSpaceProcInfo = $000003F1;
	uppCMEmbedImageProcInfo = $000037F1;
	uppCMUnembedImageProcInfo = $000007F1;
	uppCMMatchImageProcInfo = $000FF7F1;
	uppCMProofImageProcInfo = $003FF7F1;
	uppCMLinkImageProcInfo = $0003F7F1;
	uppCMCountImageProfilesProcInfo = $000003F1;
	uppCMGetIndImageProfileProcInfo = $00000FF1;
	uppCMSetIndImageProfileProcInfo = $0000F7F1;

FUNCTION NewValidateImageProc(userRoutine: ValidateImageProcPtr): ValidateImageUPP;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewGetImageSpaceProc(userRoutine: GetImageSpaceProcPtr): GetImageSpaceUPP;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewValidateSpaceProc(userRoutine: ValidateSpaceProcPtr): ValidateSpaceUPP;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewEmbedImageProc(userRoutine: EmbedImageProcPtr): EmbedImageUPP;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewUnembedImageProc(userRoutine: UnembedImageProcPtr): UnembedImageUPP;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewMatchImageProc(userRoutine: MatchImageProcPtr): MatchImageUPP;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewCountImageProfilesProc(userRoutine: CountImageProfilesProcPtr): CountImageProfilesUPP;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewGetIndImageProfileProc(userRoutine: GetIndImageProfileProcPtr): GetIndImageProfileUPP;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewSetIndImageProfileProc(userRoutine: SetIndImageProfileProcPtr): SetIndImageProfileUPP;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewCMValidImageProc(userRoutine: CMValidImageProcPtr): CMValidImageUPP;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewCMGetImageSpaceProc(userRoutine: CMGetImageSpaceProcPtr): CMGetImageSpaceUPP;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewCMEmbedImageProc(userRoutine: CMEmbedImageProcPtr): CMEmbedImageUPP;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewCMUnembedImageProc(userRoutine: CMUnembedImageProcPtr): CMUnembedImageUPP;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewCMMatchImageProc(userRoutine: CMMatchImageProcPtr): CMMatchImageUPP;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewCMProofImageProc(userRoutine: CMProofImageProcPtr): CMProofImageUPP;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewCMLinkImageProc(userRoutine: CMLinkImageProcPtr): CMLinkImageUPP;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewCMCountImageProfilesProc(userRoutine: CMCountImageProfilesProcPtr): CMCountImageProfilesUPP;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewCMGetIndImageProfileProc(userRoutine: CMGetIndImageProfileProcPtr): CMGetIndImageProfileUPP;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION NewCMSetIndImageProfileProc(userRoutine: CMSetIndImageProfileProcPtr): CMSetIndImageProfileUPP;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	INLINE $2E9F;
	{$ENDC}

FUNCTION CallValidateImageProc({CONST}VAR spec: FSSpec; userRoutine: ValidateImageUPP): CMError;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	{To be implemented:  Glue to move parameters into registers.}
	{$ENDC}

FUNCTION CallGetImageSpaceProc({CONST}VAR spec: FSSpec; VAR space: OSType; userRoutine: GetImageSpaceUPP): CMError;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	{To be implemented:  Glue to move parameters into registers.}
	{$ENDC}

FUNCTION CallValidateSpaceProc({CONST}VAR spec: FSSpec; VAR space: OSType; userRoutine: ValidateSpaceUPP): CMError;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	{To be implemented:  Glue to move parameters into registers.}
	{$ENDC}

FUNCTION CallEmbedImageProc({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; embedProf: CMProfileRef; embedFlags: UInt32; userRoutine: EmbedImageUPP): CMError;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	{To be implemented:  Glue to move parameters into registers.}
	{$ENDC}

FUNCTION CallUnembedImageProc({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; userRoutine: UnembedImageUPP): CMError;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	{To be implemented:  Glue to move parameters into registers.}
	{$ENDC}

FUNCTION CallMatchImageProc({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; qual: UInt32; srcIntent: UInt32; srcProf: CMProfileRef; dstProf: CMProfileRef; prfProf: CMProfileRef; matchFlags: UInt32; userRoutine: MatchImageUPP): CMError;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	{To be implemented:  Glue to move parameters into registers.}
	{$ENDC}

FUNCTION CallCountImageProfilesProc({CONST}VAR spec: FSSpec; VAR count: UInt32; userRoutine: CountImageProfilesUPP): CMError;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	{To be implemented:  Glue to move parameters into registers.}
	{$ENDC}

FUNCTION CallGetIndImageProfileProc({CONST}VAR spec: FSSpec; index: UInt32; VAR prof: CMProfileRef; userRoutine: GetIndImageProfileUPP): CMError;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	{To be implemented:  Glue to move parameters into registers.}
	{$ENDC}

FUNCTION CallSetIndImageProfileProc({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; index: UInt32; prof: CMProfileRef; embedFlags: UInt32; userRoutine: SetIndImageProfileUPP): CMError;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	{To be implemented:  Glue to move parameters into registers.}
	{$ENDC}

FUNCTION CallCMValidImageProc({CONST}VAR spec: FSSpec; userRoutine: CMValidImageUPP): CMError;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	{To be implemented:  Glue to move parameters into registers.}
	{$ENDC}

FUNCTION CallCMGetImageSpaceProc({CONST}VAR spec: FSSpec; VAR space: OSType; userRoutine: CMGetImageSpaceUPP): CMError;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	{To be implemented:  Glue to move parameters into registers.}
	{$ENDC}

FUNCTION CallCMEmbedImageProc({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; repl: BOOLEAN; embProf: CMProfileRef; userRoutine: CMEmbedImageUPP): CMError;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	{To be implemented:  Glue to move parameters into registers.}
	{$ENDC}

FUNCTION CallCMUnembedImageProc({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; repl: BOOLEAN; userRoutine: CMUnembedImageUPP): CMError;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	{To be implemented:  Glue to move parameters into registers.}
	{$ENDC}

FUNCTION CallCMMatchImageProc({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; repl: BOOLEAN; qual: UInt32; srcProf: CMProfileRef; srcIntent: UInt32; dstProf: CMProfileRef; userRoutine: CMMatchImageUPP): CMError;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	{To be implemented:  Glue to move parameters into registers.}
	{$ENDC}

FUNCTION CallCMProofImageProc({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; repl: BOOLEAN; qual: UInt32; srcProf: CMProfileRef; srcIntent: UInt32; dstProf: CMProfileRef; prfProf: CMProfileRef; userRoutine: CMProofImageUPP): CMError;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	{To be implemented:  Glue to move parameters into registers.}
	{$ENDC}

FUNCTION CallCMLinkImageProc({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; repl: BOOLEAN; qual: UInt32; lnkProf: CMProfileRef; lnkIntent: UInt32; userRoutine: CMLinkImageUPP): CMError;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	{To be implemented:  Glue to move parameters into registers.}
	{$ENDC}

FUNCTION CallCMCountImageProfilesProc({CONST}VAR spec: FSSpec; VAR count: UInt32; userRoutine: CMCountImageProfilesUPP): CMError;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	{To be implemented:  Glue to move parameters into registers.}
	{$ENDC}

FUNCTION CallCMGetIndImageProfileProc({CONST}VAR spec: FSSpec; index: UInt32; VAR prof: CMProfileRef; userRoutine: CMGetIndImageProfileUPP): CMError;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	{To be implemented:  Glue to move parameters into registers.}
	{$ENDC}

FUNCTION CallCMSetIndImageProfileProc({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; repl: BOOLEAN; index: UInt32; prof: CMProfileRef; userRoutine: CMSetIndImageProfileUPP): CMError;
	{$IFC TARGET_OS_MAC AND TARGET_CPU_68K AND NOT TARGET_RT_MAC_CFM}
	{To be implemented:  Glue to move parameters into registers.}
	{$ENDC}
{*** CSScriptingLib API  ***}

FUNCTION CMValidImage({CONST}VAR spec: FSSpec): CMError; C;
FUNCTION CMGetImageSpace({CONST}VAR spec: FSSpec; VAR space: OSType): CMError; C;
FUNCTION CMEmbedImage({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; repl: BOOLEAN; embProf: CMProfileRef): CMError; C;
FUNCTION CMUnembedImage({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; repl: BOOLEAN): CMError; C;
FUNCTION CMMatchImage({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; repl: BOOLEAN; qual: UInt32; srcProf: CMProfileRef; srcIntent: UInt32; dstProf: CMProfileRef): CMError; C;
FUNCTION CMProofImage({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; repl: BOOLEAN; qual: UInt32; srcProf: CMProfileRef; srcIntent: UInt32; dstProf: CMProfileRef; prfProf: CMProfileRef): CMError; C;
FUNCTION CMLinkImage({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; repl: BOOLEAN; qual: UInt32; lnkProf: CMProfileRef; lnkIntent: UInt32): CMError; C;
FUNCTION CMCountImageProfiles({CONST}VAR spec: FSSpec; VAR count: UInt32): CMError; C;
FUNCTION CMGetIndImageProfile({CONST}VAR spec: FSSpec; index: UInt32; VAR prof: CMProfileRef): CMError; C;
FUNCTION CMSetIndImageProfile({CONST}VAR specFrom: FSSpec; {CONST}VAR specInto: FSSpec; repl: BOOLEAN; index: UInt32; prof: CMProfileRef): CMError; C;
{$ALIGN RESET}
{$POP}

{$SETC UsingIncludes := CMScriptingPluginIncludes}

{$ENDC} {__CMSCRIPTINGPLUGIN__}

{$IFC NOT UsingIncludes}
 END.
{$ENDC}
